[arch-commits] Commit in pango/repos (4 files)
Jan Steffens
heftig at archlinux.org
Mon May 22 20:12:08 UTC 2017
Date: Monday, May 22, 2017 @ 20:12:07
Author: heftig
Revision: 296464
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
pango/repos/testing-i686/
pango/repos/testing-i686/PKGBUILD
(from rev 296463, pango/trunk/PKGBUILD)
pango/repos/testing-x86_64/
pango/repos/testing-x86_64/PKGBUILD
(from rev 296463, pango/trunk/PKGBUILD)
-------------------------+
testing-i686/PKGBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/PKGBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 86 insertions(+)
Copied: pango/repos/testing-i686/PKGBUILD (from rev 296463, pango/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2017-05-22 20:12:07 UTC (rev 296464)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=pango
+pkgver=1.40.6+6+g6f59d0f3
+pkgrel=1
+pkgdesc="A library for layout and rendering of text"
+url="https://www.pango.org/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(libthai cairo libxft harfbuzz)
+makedepends=(harfbuzz fontconfig cairo libxft libthai gobject-introspection help2man gtk-doc git meson)
+checkdepends=(ttf-dejavu cantarell-fonts)
+_commit=6f59d0f387dd62f12a7107e898064c7e42159945 # master
+source=("git+https://git.gnome.org/browse/pango#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ mkdir build
+ cd $pkgname
+}
+
+build() {
+ cd build
+ meson --prefix=/usr --buildtype=release ../$pkgname --libexecdir=/usr/lib \
+ -Denable_docs=true
+ ninja
+}
+
+check() {
+ cd build
+ mesontest || :
+}
+
+package() {
+ cd build
+ DESTDIR="$pkgdir" ninja install
+}
Copied: pango/repos/testing-x86_64/PKGBUILD (from rev 296463, pango/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2017-05-22 20:12:07 UTC (rev 296464)
@@ -0,0 +1,43 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=pango
+pkgver=1.40.6+6+g6f59d0f3
+pkgrel=1
+pkgdesc="A library for layout and rendering of text"
+url="https://www.pango.org/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(libthai cairo libxft harfbuzz)
+makedepends=(harfbuzz fontconfig cairo libxft libthai gobject-introspection help2man gtk-doc git meson)
+checkdepends=(ttf-dejavu cantarell-fonts)
+_commit=6f59d0f387dd62f12a7107e898064c7e42159945 # master
+source=("git+https://git.gnome.org/browse/pango#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ mkdir build
+ cd $pkgname
+}
+
+build() {
+ cd build
+ meson --prefix=/usr --buildtype=release ../$pkgname --libexecdir=/usr/lib \
+ -Denable_docs=true
+ ninja
+}
+
+check() {
+ cd build
+ mesontest || :
+}
+
+package() {
+ cd build
+ DESTDIR="$pkgdir" ninja install
+}
More information about the arch-commits
mailing list